%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/mysql.pm) perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Regexp/Common.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 1.0
%define module_name DBD-mysql-AutoTypes
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: - automatically assign parameters' sql type to support old DBD::mysql functionality
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRISHACE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Since version 2.9002 DBD::mysql requires explicit sql type for query parameters. 
You should change the tonnes of $dbh->selectall_arrayref() to the ugly 
"prepare - bind - execute - fetch" pipeline. 

This module is provided to solve the problem. 

You have to change only two lines of code (use the module, and apply fixup after accuring database connection).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- initial import by package builder

